Inhalte
Index 🔎︎

# Operator Not

Negiert einen Ausdruck durch Vertauschen der Bitzustände.

## Syntax:

    Ergebnis = Not Ausdruck

## Parameter:

Ergebnis: Eine beliebige numerische Variable, die das Ergebnis der Negation aufnimmt.

Ausdruck: Ein beliebiger zu negierender Ausdruck.

Wird ein boolescher Ausdruck negiert, ändert sich der Wert "True" in "False" und umgekehrt.

Bei einer bitweisen Negation werden nicht, wie bei allen anderen logischen Operationsbefehlen, zwei Bits logisch miteinander verknüpft, sondern ein einzelnes Bit umgekehrt.

## Beispiel:

    Sub ExampleNot
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = Not vA ' Liefert -11 zurück
        vOut = Not(vC > vD) ' Liefert -1 zurück
        vOut = Not(vB > vA) ' Liefert -1 zurück
        vOut = Not(vA > vB) ' Liefert 0 zurück
    End Sub